Name:           python-transformers
Version:        4.53.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        State-of-the-art Machine Learning for JAX, PyTorch and TensorFlow

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/huggingface/transformers
Source:         %{pypi_source transformers}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'transformers' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-transformers
Summary:        %{summary}

%description -n python3-transformers %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-transformers accelerate,all,audio,benchmark,codecarbon,deepspeed,deepspeed-testing,dev,dev-tensorflow,dev-torch,flax,flax-speech,ftfy,hf_xet,hub-kernels,integrations,ja,modelcreation,natten,num2words,onnx,onnxruntime,open-telemetry,optuna,quality,ray,retrieval,ruff,sagemaker,sentencepiece,serving,sigopt,sklearn,speech,testing,tf,tf-cpu,tf-speech,tiktoken,timm,tokenizers,torch,torch-speech,torch-vision,torchhub,video,vision


%prep
%autosetup -p1 -n transformers-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x accelerate,all,audio,benchmark,codecarbon,deepspeed,deepspeed-testing,dev,dev-tensorflow,dev-torch,flax,flax-speech,ftfy,hf_xet,hub-kernels,integrations,ja,modelcreation,natten,num2words,onnx,onnxruntime,open-telemetry,optuna,quality,ray,retrieval,ruff,sagemaker,sentencepiece,serving,sigopt,sklearn,speech,testing,tf,tf-cpu,tf-speech,tiktoken,timm,tokenizers,torch,torch-speech,torch-vision,torchhub,video,vision


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-transformers -f %{pyproject_files}


%changelog
%autochangelog